Bug 199601 - JSGlobalObject type macros should support feature flags and WeakRef should have one
Summary: JSGlobalObject type macros should support feature flags and WeakRef should ha...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Keith Miller
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-08 17:03 PDT by Keith Miller
Modified: 2019-07-16 11:18 PDT (History)
9 users (show)

See Also:


Attachments
Patch (28.92 KB, patch)
2019-07-08 17:29 PDT, Keith Miller
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-highsierra (3.20 MB, application/zip)
2019-07-08 18:55 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-highsierra (3.05 MB, application/zip)
2019-07-08 19:26 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews214 for win-future (14.12 MB, application/zip)
2019-07-08 20:33 PDT, Build Bot
no flags Details
Patch (30.69 KB, patch)
2019-07-09 01:40 PDT, Keith Miller
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews212 for win-future (13.42 MB, application/zip)
2019-07-09 04:21 PDT, Build Bot
no flags Details
Patch (31.82 KB, patch)
2019-07-15 13:46 PDT, Keith Miller
no flags Details | Formatted Diff | Diff
Patch (32.28 KB, patch)
2019-07-15 14:44 PDT, Keith Miller
mark.lam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Miller 2019-07-08 17:03:39 PDT
JSGlobalObject type macros should support feature flags and WeakRef should have one
Comment 1 Keith Miller 2019-07-08 17:29:00 PDT
Created attachment 373683 [details]
Patch
Comment 2 Build Bot 2019-07-08 18:55:49 PDT
Comment on attachment 373683 [details]
Patch

Attachment 373683 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12694133

New failing tests:
js/weakref-async-is-collected.html
js/weakref-weakset-consistency.html
js/weakref-eventually-collects-values.html
js/weakref-microtasks-dont-collect.html
Comment 3 Build Bot 2019-07-08 18:55:51 PDT
Created attachment 373690 [details]
Archive of layout-test-results from ews102 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 4 Build Bot 2019-07-08 19:26:01 PDT
Comment on attachment 373683 [details]
Patch

Attachment 373683 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12694145

New failing tests:
js/weakref-async-is-collected.html
js/weakref-weakset-consistency.html
js/weakref-eventually-collects-values.html
js/weakref-microtasks-dont-collect.html
Comment 5 Build Bot 2019-07-08 19:26:03 PDT
Created attachment 373693 [details]
Archive of layout-test-results from ews116 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 6 Build Bot 2019-07-08 20:33:56 PDT
Comment on attachment 373683 [details]
Patch

Attachment 373683 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12694573

New failing tests:
js/weakref-async-is-collected.html
js/weakref-weakset-consistency.html
js/weakref-eventually-collects-values.html
js/weakref-microtasks-dont-collect.html
Comment 7 Build Bot 2019-07-08 20:33:58 PDT
Created attachment 373696 [details]
Archive of layout-test-results from ews214 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews214  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 8 Keith Miller 2019-07-09 01:40:50 PDT
Created attachment 373701 [details]
Patch
Comment 9 Build Bot 2019-07-09 03:39:29 PDT
Comment on attachment 373701 [details]
Patch

Attachment 373701 [details] did not pass jsc-ews (mac):
Output: https://webkit-queues.webkit.org/results/12696454

New failing tests:
mozilla-tests.yaml/js1_5/Array/regress-101964.js.mozilla-dfg-eager-no-cjit-validate-phases
apiTests
Comment 10 Build Bot 2019-07-09 04:21:16 PDT
Comment on attachment 373701 [details]
Patch

Attachment 373701 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12696573

New failing tests:
js/weakref-async-is-collected.html
js/weakref-weakset-consistency.html
js/weakref-eventually-collects-values.html
js/weakref-microtasks-dont-collect.html
Comment 11 Build Bot 2019-07-09 04:21:20 PDT
Created attachment 373705 [details]
Archive of layout-test-results from ews212 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews212  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 12 Keith Miller 2019-07-15 13:46:01 PDT
Created attachment 374144 [details]
Patch
Comment 13 Keith Miller 2019-07-15 14:44:50 PDT
Created attachment 374152 [details]
Patch
Comment 14 Mark Lam 2019-07-15 20:12:53 PDT
Comment on attachment 374152 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=374152&action=review

r=me

> Source/JavaScriptCore/runtime/JSGlobalObject.cpp:721
> +#define CREATE_PROTOTYPE_FOR_LAZY_TYPE(capitalName, lowerName, properName, instanceType, jsName, prototypeBase, featureFlag) if (featureFlag) \

nit: I think you should add the { } since the body is a multi-line statement.
Comment 15 Keith Miller 2019-07-15 21:27:31 PDT
Comment on attachment 374152 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=374152&action=review

>> Source/JavaScriptCore/runtime/JSGlobalObject.cpp:721
>> +#define CREATE_PROTOTYPE_FOR_LAZY_TYPE(capitalName, lowerName, properName, instanceType, jsName, prototypeBase, featureFlag) if (featureFlag) \
> 
> nit: I think you should add the { } since the body is a multi-line statement.

Done.
Comment 16 Keith Miller 2019-07-15 21:37:43 PDT
Committed r247474: <https://trac.webkit.org/changeset/247474>
Comment 17 Radar WebKit Bug Importer 2019-07-15 21:38:24 PDT
<rdar://problem/53137607>
Comment 18 Ryan Haddad 2019-07-16 09:12:01 PDT
(In reply to Keith Miller from comment #16)
> Committed r247474: <https://trac.webkit.org/changeset/247474>
This change has caused 52 test262 failures:
https://build.webkit.org/builders/Apple%20High%20Sierra%20Release%20Test262%20%28Tests%29/builds/4317
Comment 19 Keith Miller 2019-07-16 11:01:47 PDT
(In reply to Ryan Haddad from comment #18)
> (In reply to Keith Miller from comment #16)
> > Committed r247474: <https://trac.webkit.org/changeset/247474>
> This change has caused 52 test262 failures:
> https://build.webkit.org/builders/
> Apple%20High%20Sierra%20Release%20Test262%20%28Tests%29/builds/4317

Oh, those need to be re-baselined since the feature is off by default. We should really have a way to enable all experimental language features for test262 runs...
Comment 20 Keith Miller 2019-07-16 11:18:22 PDT
(In reply to Ryan Haddad from comment #18)
> (In reply to Keith Miller from comment #16)
> > Committed r247474: <https://trac.webkit.org/changeset/247474>
> This change has caused 52 test262 failures:
> https://build.webkit.org/builders/
> Apple%20High%20Sierra%20Release%20Test262%20%28Tests%29/builds/4317

Should be re-baselined with https://trac.webkit.org/changeset/247485.